<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php 
$gID = 787; 
require('load_this/load_bigware_11.php'); 
if ($_GET['action']) { 
switch ($_GET['action']) { 
case 'save': 
$set_it_up_value = go_db_producing_input($_POST['set_it_up_value']); 
$bigID = go_db_producing_input($_GET['bigID']); 
go_db_query("update " . DB_TBL_SET_IT_UP . " set set_it_up_value = '" . go_db_input($set_it_up_value) . "', last_modified = now() where set_it_up_id = '" . go_db_input($bigID) . "'"); 
go_forward(go_href_link(NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $bigID)); 
break; 
} 
} 
$cfg_group_query = go_db_query("select set_it_up_group_title from " . DB_TBL_SET_IT_UP_GROUP . " where set_it_up_group_id = '787'"); 
$cfg_group = go_db_fetch_array($cfg_group_query); 
?> 
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"> 
<html <?php echo HTML_PARAMS; ?>> 
<head> 
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>"> 
<title><?php echo TITLE; ?></title> 
<link rel="stylesheet" type="text/css" href="load_this/style.css"> 
<script language="javascript" src="load_this/general.js"></script> 
<script language="javascript" src="load_this/menu.js"></script>
</head> 
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();"> 
<!-- header //--> 
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?> 
<!-- header_eof //--> 
<!-- body //--> 
<table border="0" width="100%" cellspacing="2" cellpadding="2"> 
<tr> 
<td width="<?php echo FRAME_WIDTH; ?>" valign="top"></td> 
<!-- body_text //--> 
<td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2"> 
<tr> 
<td><table border="0" width="100%" cellspacing="0" cellpadding="0"> 
<tr> 
<td class="pageGeneralsign"><?php echo ABOVE_TITLE; ?></td> 
<td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('tranparentes.gif', ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT); ?></td> 
</tr> 
</table></td> 
</tr> 
<tr> 
<td><table cellpadding="5" border="0" width="100%" cellspacing="0" cellpadding="0"> 
<tr> 
<td valign="top"><table border="0" cellpadding="5" cellspacing="1" style="border-collapse: collapse" width="100%" id="AutoNumber1"> 
<tr class="tbUPCountData"> 
<td class="tbUPDataInside"><?php echo DB_TBL_ABOVE_SET_IT_UP_TITLE; ?></td> 
<td class="tbUPDataInside"><?php echo DB_TBL_ABOVE_SET_IT_UP_VALUE; ?></td> 
<td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_ACTION; ?>&nbsp;</td> 
</tr> 
<?php 
$set_it_up_query = go_db_query("select set_it_up_id, set_it_up_title, set_it_up_value, use_function from " . DB_TBL_SET_IT_UP . " where set_it_up_group_id = '787' order by sort_order"); 
while ($set_it_up = go_db_fetch_array($set_it_up_query)) { 
if (go_not_null($set_it_up['use_function'])) { 
$use_function = $set_it_up['use_function']; 
if (preg_match('/->/', $use_function)) { 
$class_method = explode('->', $use_function); 
if (!is_object(${$class_method[0]})) { 
include(FOLDER_RELATIV_CLASSES . $class_method[0] . '.php'); 
${$class_method[0]} = new $class_method[0](); 
} 
$cfgValue = go_call_function($class_method[1], $set_it_up['set_it_up_value'], ${$class_method[0]}); 
} else { 
$cfgValue = go_call_function($use_function, $set_it_up['set_it_up_value']); 
} 
} else { 
$cfgValue = $set_it_up['set_it_up_value']; 
} 
if (((!$_GET['bigID']) || (@$_GET['bigID'] == $set_it_up['set_it_up_id'])) && (!$bigwareInfo) && (substr($_GET['action'], 0, 3) != 'new')) { 
$cfg_extra_query = go_db_query("select set_it_up_key, set_it_up_description, date_added, last_modified, use_function, set_function from " . DB_TBL_SET_IT_UP . " where set_it_up_id = '" . $set_it_up['set_it_up_id'] . "'"); 
$cfg_extra = go_db_fetch_array($cfg_extra_query); 
$bigwareInfo_array = array_merge($set_it_up, $cfg_extra); 
$bigwareInfo = new objectInfo($bigwareInfo_array); 
} 
if ( (is_object($bigwareInfo)) && ($set_it_up['set_it_up_id'] == $bigwareInfo->set_it_up_id) ) { 
echo ' <tr class="tbCountDataSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $bigwareInfo->set_it_up_id . '&action=change') . '\'">' . "\n"; 
} else { 
echo ' <tr class="tbCountData" onmouseover="this.className=\'tbCountDataOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'tbCountData\'" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $set_it_up['set_it_up_id']) . '\'">' . "\n"; 
} 
?> 
<td class="TbInsideData"><?php echo constant($set_it_up['set_it_up_title']); ?></td> 
<td class="TbInsideData"><?php echo constants_language($cfgValue); ?></td> 
<td class="TbInsideData" align="right"><?php if ( (is_object($bigwareInfo)) && ($set_it_up['set_it_up_id'] == $bigwareInfo->set_it_up_id) ) { echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . go_href_link(NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $set_it_up['set_it_up_id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_info.gif', PICTURE_ICON_INFO) . '</a>'; } ?>&nbsp;</td> 
</tr> 
<?php 
} 
?> 
</table></td> 
<?php 
$heading = array(); 
$contents = array(); 
switch ($_GET['action']) { 
case 'change': 
$heading[] = array('text' => '<b>' . constant($bigwareInfo->set_it_up_title) . '</b>'); 
if ($bigwareInfo->set_function) { 
eval('$value_field = ' . $bigwareInfo->set_function . '"' . isohtmlspecialchars($bigwareInfo->set_it_up_value) . '");'); 
} else { 
$value_field = go_fetch_inputfeld('set_it_up_value', $bigwareInfo->set_it_up_value); 
} 
$contents = array('form' => go_fetch_form('set_it_up', NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $bigwareInfo->set_it_up_id . '&action=save')); 
$contents[] = array('text' => TEXT_INFO_CHANGE_INTRO); 
$contents[] = array('text' => '<br><b>' . constant($bigwareInfo->set_it_up_title) . '</b><br>' . constant($bigwareInfo->set_it_up_description) . '<br>' . $value_field); 
$contents[] = array('align' => 'center', 'text' => '<br>' . go_picture_submit('button_update.gif', PICTURE_UPDATE) . '&nbsp;<a href="' . go_href_link(NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $bigwareInfo->set_it_up_id) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>'); 
break; 
default: 
if (is_object($bigwareInfo)) { 
$heading[] = array('text' => '<b>' . constant($bigwareInfo->set_it_up_title) . '</b>'); 
$contents[] = array('align' => 'center', 'text' => '<a href="' . go_href_link(NAME_OF_FILE_SET_IT_UP, 'gID=787&bigID=' . $bigwareInfo->set_it_up_id . '&action=change') . '">' . go_picture_button('button_change.gif', PICTURE_CHANGE) . '</a>'); 
$contents[] = array('text' => '<br>' . constant($bigwareInfo->set_it_up_description)); 
$contents[] = array('text' => '<br>' . TEXT_INFO_DATE_ADDED . ' ' . go_date_short($bigwareInfo->date_added)); 
if (go_not_null($bigwareInfo->last_modified)) $contents[] = array('text' => TEXT_INFO_LAST_MODIFIED . ' ' . go_date_short($bigwareInfo->last_modified)); 
} 
break; 
} 
if ( (go_not_null($heading)) && (go_not_null($contents)) ) { 
echo ' <td width="25%" valign="top">' . "\n"; 
$frame = new frame; 
echo $frame->infoBox($heading, $contents); 
echo ' </td>' . "\n"; 
} 
?> 
</tr> 
</table></td> 
</tr> 
</table></td> 
<!-- body_text_eof //--> 
</tr> 
</table> 
<!-- body_eof //--> 
<!-- footer //--> 
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?> 
<!-- footer_eof //--> 
<br> 
</body> 
</html> 
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
